
QGIS Application - Bug report #16985

Reshape Features can't handle resulting exclaves

2017-08-08 03:18 PM - Andreas Wicht

Status: Open

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24884

Description

The Reshape Features Tool in combination with 'topological editing' and 'avoid intersections' turned on does not resolve overlaps for

neighbouring polygons, when the reshaped boundary creates an exclave in the neighbouring polygon.

If this behaviour is intentional it might be a usability boost to catch this case and handle it correctly.

History

#1 - 2017-08-08 03:20 PM - Giovanni Manghi

- Status changed from Open to Feedback

why "Crashes QGIS or corrupts data:" is "yes"?

#2 - 2017-08-08 03:36 PM - Andreas Wicht

Giovanni Manghi wrote:

why "Crashes QGIS or corrupts data:" is "yes"?

isn't an invalid polygon corrupted output? or would that mean completely broken and not displayable anymore?

#3 - 2017-08-08 05:01 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Feedback to Open

#4 - 2018-02-26 08:49 AM - Andreas Wicht

This issue also applies to QGIS 3.0. 

Shall I open a second ticket or how can I change the affected version(s)?

#5 - 2019-02-24 04:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

Andreas Wicht wrote:
This issue also applies to QGIS 3.0. 

Shall I open a second ticket or how can I change the affected version(s)?

still valid for 3.4.5/3.6 or master?

#6 - 2019-02-25 09:20 AM - Andreas Wicht

Giovanni Manghi wrote:

still valid for 3.4.5/3.6 or master?

Yes, can confirm for 3.4.5, 3.6.0 and master.

#7 - 2019-02-25 11:39 AM - Andreas Wicht

- Status changed from Feedback to Open

#8 - 2019-02-25 02:37 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.11 to 3.4.5
